> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Citation summary by domain type



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/brands/{brand_id}/citations/summary
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/brands/{brand_id}/citations/summary:
    parameters:
      - name: brand_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Citations
      summary: Citation summary by domain type
      operationId: get_brand_citations_summary
      parameters:
        - name: filter[target_brand]
          in: query
          required: false
          description: >-
            Target brand name used for mention attribution. Defaults to the
            workspace brand's name.
          schema:
            type: string
        - name: filter[ran_at_start]
          in: query
          required: false
          description: Start of the ran_at window (ISO8601). Defaults to 30 days ago.
          schema:
            type: string
            format: date-time
        - name: filter[ran_at_end]
          in: query
          required: false
          description: End of the ran_at window (ISO8601). Defaults to end of today.
          schema:
            type: string
            format: date-time
        - name: filter[topic_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[brand_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[provider_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[region_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: summary payload
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      total_citations:
                        type: integer
                      categories:
                        type: array
                        items:
                          type: object
                          properties:
                            category:
                              type: string
                            count:
                              type: integer
                            percent:
                              type: number
                          required:
                            - category
                            - count
                            - percent
                    required:
                      - total_citations
                      - categories
                required:
                  - data
        '500':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: array
              items:
                $ref: '#/components/schemas/error_detail'
          required:
            - code
            - message
      required:
        - error
    error_detail:
      type: object
      properties:
        field:
          type: string
          nullable: true
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
        - field
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````